besogonskiy
@besogonskiy

Какие версии php ставить на debian server для разработки?

Сегодня коллега сообщил, что его знакомые сказали, что в дебиане устаревшие пакеты php и что нужно php ставить отдельно какую-то другую версию для разработчика, а не те, что идут в пакете debian.

Я не понял что подразумевается под этим? Ну то что в коробке с дебиан идет php7.3 это понятно. Но можно подключить другой репозитарий и установить другую версию php - это не проблема. Ножет быть есть действительно какие то другие пакеты php для разработки серьезных проектов? что то я не могу понять что имелось ввиду.

Может у вас есть информация?
  • Вопрос задан
  • 72 просмотра
Пригласить эксперта
Ответы на вопрос 1
nokimaro
@nokimaro
Меня невозможно остановить, если я смогу начать.
Каких-то "специальных" сборок нет
Скорее всего коллега не правильно донёс информацию, и речь была про подключение PPA
Так как в 99% инструкций о том как установить последнюю версию PHP на Debian/Ubuntu первым делом подключают ppa:ondrej/php
Ondřej Surý уже лет 15 выпускает пакеты с PHP для Debian.

Конечно стоит ставить PHP 7.4 https://www.php.net/supported-versions.php , так как 7.2 уже прошла End of Life черту, а PHP 7.3 перестанет получать обновления безопасности через 10 месяцев.
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы